:root{
    --color-blue-hard1: #0053AD;
    --color-blue-hard2: #0663C7;
    --color-blue1: #0671E0;
    --color-blue2: #4196F0;
    --color-blue-light1: #DBEDFF;
    --color-blue-light2: #EEF5FC;
    --color-black: #212121;
    --color-gray-hard1: #4D4D4D;
    --color-gray-hard2: #717171;
    --color-gray: #89939E;
    --color-gray-light1: #ABBED1;
    --color-gray-light2: #F5F7FA;
    --color-white: #FFFFFF;
    --color-orange: #FFB240;
    --color-yellow: #FFE0B3;
    --color-red: #E02B1D;
    --color-red-light: #F6C0BB;
    --color-green: #32C997;
    --color-green-light: #C2F0E1;
}
.nav-design{
    z-index: 1000;
}
.color-nav{
    background: #DBEDFF;
}
/************************************************************** 
Sección Color 
************************************************************** */
.color{
    width: 100px;
    height: 100px;
}
.bg-section-color{
    background: #eeee;
}
/***************************************************************  
Background 
************************************************************** */
.bg-color1{
    background-color: var(--color-blue-hard1);
}
.bg-color2{
    background-color: var(--color-blue-hard2);
}
.bg-color3{
    background-color: var(--color-blue1);
}
.bg-color4{
    background-color: var(--color-blue2);
}
.bg-color5{
    background-color: var(--color-blue-light1);
}
.bg-color6{
    background-color: var(--color-blue-light2);
}
.bg-color7{
    background-color: var(--color-black);
}
.bg-color8{
    background-color: var(--color-gray-hard1);
}
.bg-color9{
    background-color: var(--color-gray-hard2);
}
.bg-color10{
    background-color: var(--color-gray);
}
.bg-color11{
    background-color: var(--color-gray-light1);
}
.bg-color12{
    background-color: var(--color-gray-light2);
}
.bg-color13{
    background-color: var(--color-white);
}
.bg-color14{
    background-color: var(--color-orange);
}
.bg-color15{
    background-color: var(--color-yellow);
}
.bg-color16{
    background-color: var(--color-red);
}
.bg-color17{
    background-color: var(--color-red-light);
}
.bg-color18{
    background-color: var(--color-green);
}
.bg-color19{
    background-color: var(--color-green-light);
}

/***************************************************************  
Border 
************************************************************** */
.bor-color1{
    border:solid 1px var(--color-blue-hard1);
}
.bor-color2{
    border:solid 1px var(--color-blue-hard2);
}
.bor-color3{
    border:solid 1px var(--color-blue1);
}
.bor-color4{
    border:solid 1px var(--color-blue2);
}
.bor-color5{
    border:solid 1px var(--color-blue-light1);
}
.bor-color6{
    border:solid 1px var(--color-blue-light2);
}
.bor-color7{
    border:solid 1px var(--color-black);
}
.bor-color8{
    border:solid 1px var(--color-gray-hard1);
}
.bor-color9{
    border:solid 1px var(--color-gray-hard2);
}
.bor-color10{
    border:solid 1px var(--color-gray);
}
.bor-color11{
    border:solid 1px var(--color-gray-light1);
}
.bor-color12{
    border:solid 1px var(--color-gray-light2);
}
.bor-color13{
    border:solid 1px var(--color-white);
}
.bor-color14{
    border:solid 1px var(--color-orange);
}
.bor-color15{
    border:solid 1px var(--color-yellow);
}
.bor-color16{
    border:solid 1px var(--color-red);
}
.bor-color17{
    border:solid 1px var(--color-red-light);
}
.bor-color18{
    border:solid 1px var(--color-green);
}
.bor-color19{
    border:solid 1px var(--color-green-light);
}
/***************************************************************  
Color 
************************************************************** */
.color1{
    color: var(--color-blue-hard1);
}
.color2{
    color: var(--color-blue-hard2);
}
.color3{
    color: var(--color-blue1);
}
.color4{
    color: var(--color-blue2);
}
.color5{
    color: var(--color-blue-light1);
}
.color6{
    color: var(--color-blue-light2);
}
.color7{
    color: var(--color-black);
}
.color8{
    color: var(--color-gray-hard1);
}
.color9{
    color: var(--color-gray-hard2);
}
.color10{
    color: var(--color-gray);
}
.color11{
    color: var(--color-gray-light1);
}
.color12{
    color: var(--color-gray-light2);
}
.color13{
    color: var(--color-white);
}
.color14{
    color: var(--color-orange);
}
.color15{
    color: var(--color-yellow);
}
.color16{
    color: var(--color-red);
}
.color17{
    color: var(--color-red-light);
}
.color18{
    color: var(--color-green);
}
.color19{
    color: var(--color-green-light);
}
/***************************************************************  
Sección Fuentes / Tipografía
************************************************************** */
@font-face {
    font-family: 'Inter';
    src: url(fonts/inter/Inter.ttf);
}

.small-w{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 28px;
    letter-spacing: 0.1px;
}
.small{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0.1px;
}
.headline1{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 64px;
    line-height: 76px;
}
.headline2{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 36px;
    line-height: 44px;
}
.headline3{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 28px;
    line-height: 36px;
}
.headline4{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 28px;
}
.body1{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 28px;
}
.body2{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
}
.body3{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
}
.body4{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
}
.btn-fnt-principal{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
}
.btn-fnt-secondary{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
}
.btn-fnt-tertiary{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
}
/* Versión movil para desktop, solo para la vista de diseño */
.headline-m1{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 28px;
    line-height: 36px;
}
.headline-m2{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 28px;
}
.headline-m3{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 24px;
}
.headline-m4{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 20px;
}
.body-m1{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
}
.body-m2{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
}
.body-m3{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
}
.body-m4{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 10px;
    line-height: 14px;
}
/* Responsive de Tipografías para moviles */
@media(max-width:637px){
    .headline1{
        font-family: 'Inter';
        font-style: normal;
        font-weight: 600;
        font-size: 28px;
        line-height: 36px;
    }
    .headline2{
        font-family: 'Inter';
        font-style: normal;
        font-weight: 600;
        font-size: 20px;
        line-height: 28px;
    }
    .headline3{
        font-family: 'Inter';
        font-style: normal;
        font-weight: 600;
        font-size: 18px;
        line-height: 24px;
    }
    .headline4{
        font-family: 'Inter';
        font-style: normal;
        font-weight: 600;
        font-size: 16px;
        line-height: 20px;
    }
    .body1{
        font-family: 'Inter';
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        line-height: 24px;
    }
    .body2{
        font-family: 'Inter';
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        line-height: 20px;
    }
    .body3{
        font-family: 'Inter';
        font-style: normal;
        font-weight: 400;
        font-size: 12px;
        line-height: 16px;
    }
    .body4{
        font-family: 'Inter';
        font-style: normal;
        font-weight: 400;
        font-size: 10px;
        line-height: 14px;
    }
}

/***************************************************************  
Sección Forms / Botones
************************************************************** */
.btn-principal{
    border-radius: 8px !important;
    background: var(--color-blue-hard1);
    border: none;
    padding: 8px 32px;
    color: var(--color-white);
}
.btn-principal:hover{
    background: var(--color-blue1);
    color: var(--color-white);
}
.btn-principal-disabled{
    border-radius: 8px !important;
    border: none;
    padding: 8px 32px;
    background: var(--color-gray-light1);
    color: var(--color-white);
}
.btn-secondary{
    border-radius: 8px !important;
    border: solid 1px var(--color-blue-hard1);
    padding: 8px 32px;
    background: var(--color-white);
    color: var(--color-blue-hard1);
}
.btn-secondary:hover{
    border-radius: 8px;
    border: solid 1px var(--color-blue-light1);
    padding: 8px 32px;
    background: var(--color-blue-light1);
    color: var(--color-blue-hard1);
}
.btn-secondary-disabled{
    border-radius: 8px;
    border: solid 1px var(--color-gray-light1);
    padding: 8px 32px;
    background: var(--color-white);
    color: var(--color-gray-light1);
}
.btn-tertiary{
    color: var(--color-blue-hard1);
    border-bottom: solid 1px var(--color-blue-hard1);
    border-radius: 0px;
    padding: 8px 8px;
}
.btn-tertiary:hover{
    color: var(--color-blue-hard1);
    border-bottom: solid 1px var(--color-blue-hard1);
    border-radius: 0px;
    padding: 8px 8px;
}
.btn-tertiary-disabled{
    color: var(--color-gray-light1);
    border-bottom: solid 1px var(--color-gray-light1);
    border-radius: 0px;
    padding: 8px 8px;
}

.radio::after {
    width: 20px;
    height: 20px;
    position: relative;
    background: transparent;
    border: 2px solid var(--color-blue-hard1);
    border-radius: 15px;
    transform: scale(0.8);
    top: -3px;
    left: -3px;
    content: "";
    display: inline-block;
 }
 .radio:hover::after{
    background-color: var(--color-blue-light1);
    border: 1px solid var(--color-blue-light1);
    
 }
 .radio:checked{
    color: var(--color-blue1);
 }
 .check::after {
    width: 20px;
    height: 20px;
    position: relative;
    background: transparent;
    border: 2px solid var(--color-blue-hard1);
    transform: scale(0.8);
    top: -3px;
    left: -3px;
    content: "";
    display: inline-block;
 }
 .check:hover::after{
    background-color: var(--color-blue-light1);
    border: 1px solid var(--color-blue-light1);
    
 }
 .check:checked{
    color: var(--color-blue-light1);
 }
 .check-disabled::after {
    width: 20px;
    height: 20px;
    position: relative;
    background: transparent;
    border: 2px solid var(--color-gray-light1);
    transform: scale(0.8);
    top: -3px;
    left: -3px;
    content: "";
    display: inline-block;
 }
 .radio-disabled::after {
    width: 20px;
    height: 20px;
    position: relative;
    background: transparent;
    border: 2px solid var(--color-gray-light1);
    border-radius: 15px;
    transform: scale(0.8);
    top: -3px;
    left: -3px;
    content: "";
    display: inline-block;
 }
 .input{
    background-color: var(--color-blue-light1);
    border: solid 1px var(--color-blue-light1);
 }
 .input::selection,
 .input:focus{
    background-color: var(--color-blue-light1);
    border: solid 1px var(--color-blue-hard1);
    box-shadow: none;
 }
 .input::placeholder{
    color: var(--color-blue-hard1) !important;
 }
 .input-disabled{
    background-color: var(--color-gray-light2);
    border: solid 1px var(--color-gray-light2);
 }
 .input-disabled::placeholder{
    color: var(--color-gray-light1) !important;
 }
 .select{
    background: URL(../images/caret-down-solid.svg) no-repeat 98% 1px var(--color-blue-light1) !important;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    
 }
 .select-disabled{
    background: URL(../images/caret-down-solid-2.svg) no-repeat 98% 1px var(--color-gray-light2) !important;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
 }
.switch{
    background-color: var(--color-gray-hard2);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='white'/%3e%3c/svg%3e") !important;
}

.switch:checked{
    background-color: var(--color-blue-light2);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='0671E0'/%3e%3c/svg%3e") !important;
}
.tag1{
    background: var(--color-blue2);
    border-radius: 18px;
    width: max-content;
    padding: 2px 8px;
    color: var(--color-white);
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
}
.tag2{
    background: var(--color-blue1);
    border-radius: 18px;
    width: max-content;
    padding: 2px 8px;
    color: var(--color-white);
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
}
.tag-disabled{
    background: var(--color-gray-light2);
    border-radius: 18px;   
    width: max-content;
    padding: 2px 8px;
    color: var(--color-gray);
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px; 
}
.alert-error{
    background-color: var(--color-red-light);
    padding: 8px 32px;
    text-align: center;
    border-radius: 8px;
    border: none;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
}
.alert-error .fa-times{
    color: var(--color-white);
    background-color: var(--color-red);
    width: 18px;
    height: 18px;
    border-radius: 15px;
    padding: 2px;
}
.alert-success{
    background-color: var(--color-green-light);
    padding: 8px 32px;
    text-align: center;
    border-radius: 8px;
    border: none;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
}
.alert-success .fa-check{
    color: var(--color-white);
    background-color: var(--color-green);
    width: 18px;
    height: 18px;
    border-radius: 15px;
    padding: 2px;
}
.alert-warning{
    background-color: var(--color-yellow);
    padding: 8px 32px;
    text-align: center;
    border-radius: 8px;
    border: none;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
}
.alert-warning .fa-exclamation{
    color: var(--color-white);
    background-color: var(--color-orange);
    width: 18px;
    height: 18px;
    border-radius: 15px;
    padding: 2px;
}

/***************************************************************  
Sección Tablas
************************************************************** */

.table-title{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 28px;
    line-height: 36px;
    color: var(--color-black);
}
.table-header{
    background: var(--color-blue1);
    border-radius: 8px;
    color: var(--color-white);
}
.table-header th{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400 !important;
    font-size: 18px;
    line-height: 28px;
    min-height: 44px;
    padding-left: 24px !important;
}
.table-header th:nth-child(1){
    -webkit-border-radius: 8px 0px 0px 8px; 
    -moz-border-radius: 8px 0px 0px 8px; 
    border-radius: 8px 0px 0px 8px; 
}
table th:nth-last-child(1){
    -webkit-border-radius: 0px 8px 8px 0px; 
    -moz-border-radius: 0px 8px 8px 0px; 
    border-radius: 0px 8px 8px 0px; 
}
.table-hover tr:hover{
    background: var(--color-blue-light2);
    border-top: 1px solid var(--color-blue-hard1);
}
.table-hover td{
    min-height: 44px;
    padding-left: 24px !important;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400 !important;
    font-size: 14px;
    line-height: 20px;
}
.td-button{
    max-width: max-content;
    text-align: right;
}
.btn-dropdown{
    color: var(--color-gray);
}
.btn-dropdown::selection,
.btn-dropdown:focus,
.btn-dropdown:hover{
    color: var(--color-blue2);
    box-shadow: none;
}
.td-button .dropdown-menu{
    background: var(--color-white);
    box-shadow: 0px 4px 4px #ABBED1;
    border-radius: 8px;
}
.td-button .icon{
    color: var(--color-gray-light1);
}
.td-button .dropdown-item:hover{
    background: var(--color-blue-light2);
    color: var(--color-blue2);
}
.td-button .dropdown-item:hover .icon{
    color: var(--color-blue2);
}
.table-header-secondary{
    background: var(--color-white);
    color: var(--color-black);
    border-bottom: solid 3px var(--color-blue-hard2);
}
.table-header-secondary th{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 28px;
    min-height: 44px;
    padding-left: 24px;
}
/***************************************************************  
Sección Ventanas y Tabs
************************************************************** */
.modal-content{
    background: var(--color-gray-light2);
    box-shadow: 0px 4px 8px rgba(171, 190, 209, 0.4);
    border-radius: 8px;
}
.modal-header{
    border-bottom: none;
    max-height: 32px;
}
.modal-footer{
    border-top: none;
}
.icon-modal .fa-check{
    color: var(--color-white);
    background-color: var(--color-green);
    width: 24px;
    height: 24px;
    border-radius: 15px;
    padding: 2px;
}
.icon-modal .fa-times{
    color: var(--color-white);
    background-color: var(--color-red);
    width: 24px;
    height: 24px;
    border-radius: 15px;
    padding: 2px;
}
.toast-header{
    border-bottom: none;
}
.toast-body{
    border-top: none;
}
.toast{
    box-shadow: 0px 3px 8px #ABBED1;
    border-radius: 8px;
}
.nav-custom{
    border-bottom: solid 2px  var(--color-gray-light1);
}
.nav-custom .nav-link{
    color: var(--color-gray-hard2);
    border: none;
}
.nav-custom .active{
    border: none !important;
    border-bottom: 4px solid var(--color-blue1) !important;
    color: var(--color-black) !important;
    border-radius: 0px !important;
    background-color: var(--color-white) !important;
}
.nav-custom .nav-link:hover{
    background-color: var(--color-blue-light1) !important;
    border: none;
}

.pagination-custom .page-item{
    width: 24px;
    height: 24px;
    border: solid 1px transparent;
}
.number-pagination .page-link{
    border: solid 1px transparent;
    padding: 2px 7px ;
    color: var(--color-black);
    width: 24px;
    height: 24px;

}
.number-pagination .page-link:hover{
    width: 24px;
    height: 24px;
    color: var(--color-blue2);
    background: transparent;
    border: solid 1px var(--color-blue2);
    border-radius: 8px;
}
#datatables_previous,
#datatables_previous .page-link,
#datatables_next .page-link,
#datatables_next,
.previous-paginate,
.next-paginate{
    color: var(--color-gray-light1) !important;
    padding: 2px 7px ;
    border: none !important;
}
#datatables_previous:hover,
#datatables_next:hover,
.previous-paginate:hover,
.next-paginate:hover{
    color: var(--color-blue2) !important;
    border: none !important;
    background: transparent;
}
.paginate_button{
    border: solid 1px transparent !important;
    background: transparent !important;
    /* padding: 2px 7px ; */
    color: var(--color-black);
    /* width: 24px; */
    /* height: 24px; */
}
.paginate_button:hover{
    border: solid 1px var(--color-blue2) !important;
    background: transparent !important;
    /* padding: 2px 7px ; */
    color: var(--color-blue2);
    /* width: 24px; */
    /* height: 24px; */
}

/***************************************************************  
Sección Gráficas
************************************************************** */
.line-graph{
    height: 16px;
    margin-left: 40px;
    margin-right: 40px;
    background: var(--color-blue-light2);
    border-radius: 15px;
}
.line-graph-advance-50{
    width: 50%;
    height: 20px;
    margin-left: 40px;
    margin-right: 40px;
    background: rgb(65,150,240);
    background: linear-gradient(90deg, rgba(65,150,240,1) 0%, rgba(50,201,151,1) 100%);
    border-radius: 15px;
    margin-top: -18px;
}
.line-graph-advance-100{
    height: 20px;
    margin-left: 40px;
    margin-right: 40px;
    background: rgb(65,150,240);
    background: linear-gradient(90deg, rgba(65,150,240,1) 0%, rgba(50,201,151,1) 100%);
    border-radius: 15px;
    margin-top: -18px;
}
.status-graph{
    background-color: var(--color-gray-hard2);
    color: var(--color-white);
    padding: 5px;
    border-radius: 8px;
}
.status-graph-active{
    background-color: var(--color-blue2);
    color: var(--color-white);
    padding: 5px;
    border-radius: 8px;
}
.status-graph-finish{
    background-color: var(--color-green);
    color: var(--color-white);
    padding: 5px;
    border-radius: 8px;
}
.triangule-graph-active{
    width: 0;
    height: 0;
    border-top: 15px solid var(--color-blue2);
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    position: absolute;
    margin-top: 24px;
    margin-left: -24px;
}
.triangule-graph{
    width: 0;
    height: 0;
    border-top: 15px solid var(--color-gray-hard2);
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    position: absolute;
    margin-top: 24px;
    margin-left: -24px;
}
.triangule-graph-finish{
    width: 0;
    height: 0;
    border-top: 15px solid var(--color-green);
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    position: absolute;
    margin-top: 24px;
    margin-left: -24px;
}
@media(max-width:1200px){
    .line-graph,
    .line-graph-advance-50,
    .line-graph-advance-100{
        margin-left: 10px;
        margin-right: 10px;
    }
}